<script setup lang="ts">
interface Props {
  api_route: string | null;
  heading: string;
}
const props = defineProps<Props>();
</script>
<template>
  <div class="row mb-3 pb-3">
    <h4 class="text-light">{{ props.heading }}</h4>
    <div v-if="props.api_route == null" class="col-12">No file selected!</div>
    <div v-else class="col-12">
      <img class="svg-full-size" :src="props.api_route" />
    </div>
  </div>
</template>

<style scoped>
.svg-full-size {
  width: 100%;
  height: 100%;
}
</style>
